/**
 * @warning DO NOT EDIT THIS FILE
 * @copyright Copyright (c) 2021 Microchip Technology Inc. All Rights Reserved.
 */
#ifndef PSTORC_VERSION_H
#define PSTORC_VERSION_H

/** @addtogroup storcore
 * @{
 */

/** @defgroup storc_version Library Version Info
 * @{
 */

#if defined(__cplusplus)
extern "C" {
#endif

#ifndef DOXYGEN_SHOULD_SKIP_THIS
static const unsigned char SC_INTERFACE_VERSION = (unsigned char)6;
static const unsigned char SC_VERSION_MAJOR = (unsigned char)15;
static const unsigned char SC_VERSION_MINOR = (unsigned char)8;
static const unsigned char SC_BUILD_NUMBER   = (unsigned char)0;
static const char SC_BUILD_DATE[] = "2022-10-10";
#define SC_CHECKSUM "3015226a0dcd6702725f6e98437b53e1bf1d48e1"
#endif

/** Return storageCore interface version */
unsigned char SC_InterfaceVersion(void);
/** Return storageCore major version */
unsigned char SC_VersionMajor(void);
/** Return storageCore minor version */
unsigned char SC_VersionMinor(void);
/** Return storageCore build/revision/errata version */
unsigned char SC_BuildNumber(void);
/** Return storageCore static build date (YYYY-MM-DD) (null-terminated) string */
const char * SC_BuildDate(void);
/** Return storageCore static unique build checksum (null-terminated) string */
const char * SC_BuildChecksum(void);

/** Return storageCore static version (null-terminated) string.
 * Possible forms:
 * - INTERFACE.MAJOR.MINOR-CHECKSUM (When build number is 0)
 * - INTERFACE.MAJOR.MINOR.BUILD-CHECKSUM (When build number is non-zero)
 */
const char * SC_Version(void);

#if defined(__cplusplus)
}
#endif

/** @} */

/** @} */

#endif
